gnote (3.16.2-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 12 Jul 2015 22:07:03 -0700

gnote (3.16.1-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 01 Jun 2015 02:36:54 -0700

gnote (3.16.0-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 29 Apr 2015 17:14:48 -0700

gnote (3.14.2-1) unstable; urgency=medium

  * New upstream release.
  * Add lintian override for license-problem-gfdl-invariants false positives.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 17 Jan 2015 13:00:46 -0800

gnote (3.14.1-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 14 Dec 2014 23:33:23 -0800

gnote (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards version to 3.9.6, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 04 Oct 2014 23:29:38 -0700

gnote (3.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump build-dep on libgtk-3-dev and libgtkmm-3.0-dev to >= 3.10.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 14 Apr 2014 22:35:21 -0700

gnote (3.10.3-1) unstable; urgency=medium

  * New upstream release.
  * Update email address.
  * Update homepage.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 23 Feb 2014 19:45:26 -0800

gnote (3.10.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards version to 3.9.5, no changes required.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 03 Jan 2014 20:54:22 -0800

gnote (3.10.1-1) unstable; urgency=low

  * New upstream release.
    - Fix FTBFS on ia64, powerpc, s390x, sparc.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sun, 27 Oct 2013 13:26:19 -0700

gnote (3.10.0-1) unstable; urgency=low

  * New upstream release.
  * Bump build dependency on libglibmm-2.4-dev to (>= 2.32).

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 23 Oct 2013 00:28:42 -0700

gnote (3.8.1-2) unstable; urgency=low

  * Fix FTBFS on buildds by dropping virtual alternatives and declaring
    build-depends solely on automake (>= 1:1.10). (Closes: #710345)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 29 May 2013 20:42:56 -0700

gnote (3.8.1-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * Add build dependency on:
    - libgtkspell3-3-dev (for spell checking support)
    - desktop-file-utils (for desktop-file-validate)
  * Bump build dependency required versions for autoconf (>= 2.5.9),
    libgtk-3-dev (>= 3.6), libgtkmm-3.0-dev (>= 3.6).

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sun, 26 May 2013 04:29:32 -0700

gnote (3.7.2-1) experimental; urgency=low

  * New upstream development release.
  * Fix lintian tag vcs-field-not-canonical.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sun, 06 Jan 2013 18:22:00 -0800

gnote (3.7.1-1) experimental; urgency=low

  * New upstream development release.
  * Remove deprecated DMUA field in debian/control.
  * Update Standards version from 3.9.3 to 3.9.4, no changes required.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sat, 08 Dec 2012 15:00:44 -0800

gnote (3.7.0-1) experimental; urgency=low

  * New upstream development release.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sat, 03 Nov 2012 14:42:05 -0700

gnote (3.6.1-1) experimental; urgency=low

  * New upstream release.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sun, 28 Oct 2012 16:28:17 -0700

gnote (3.6.0-1) experimental; urgency=low

  * New upstream release.
    - Remove debian/patches/fix-kfreebsd-ftbfs.patch; applied upstream.
    - Add build-depends on libsecret-1-dev (>= 0.8), yelp-tools.
    - Remove build-depends on libgnome-keyring-dev, libpcre++-dev,
      gnome-doc-utils.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sun, 07 Oct 2012 14:44:04 -0700

gnote (0.9.1-2) experimental; urgency=low

  * Add debian/patches/fix-kfreebsd-ftbfs.patch to fix FTBFS on kfreebsd.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 10 Aug 2012 01:43:50 -0700

gnote (0.9.1-1) experimental; urgency=low

  * Upload to experimental.
  * New upstream development release. (Closes: #672557)
    - Add versioned build-depends on libgtkmm-3.0-dev (>= 3.4).
    - Add build-depends on libgnome-keyring-dev.
    - Remove build-depends on libpanel-applet-4-dev (upstream dropped support
      for panel applet).
  * Enable verbose build.
  * Add lintian overrides for hardening-no-fortify-functions and
    package-name-doesnt-match-sonames.
  * Add DM-Upload-Allowed: yes in d/control (as per agreement with sponsor).

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 19 Jul 2012 23:25:24 -0700

gnote (0.8.3-1) unstable; urgency=low

  * New upstream release.
    - Fix FTBFS due to missing header for Glib::signal_idle. (Closes: #669454)
  * Drop explicit build-dep on dpkg-dev and bzip2.
  * Install NEWS file as upstream changelog.
  * Update Standards version from 3.9.2 to 3.9.3, no changes required.
  * Update debhelper compatibility level from 8 to 9.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 19 Apr 2012 17:02:05 -0700

gnote (0.8.2-1) unstable; urgency=low

  * New upstream release.
    - Panel applet is now disabled by default upstream; modify debian/rules
      to explicitly build the panel applet (by passing --enable-applet).
  * Replace build-dep on libgtk2.0-dev with libgtk-3-dev.
  * Modify debian/watch to search for .xz tarballs instead.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Mon, 09 Jan 2012 19:20:51 -0800

gnote (0.8.1-1) unstable; urgency=low

  * New upstream release.
    - Fix FTBFS with -Werror=format-security. (Closes: #646265)
  * Add libpanel-applet-4-dev to build-depends to build panel applet.
  * Explicitly export compilation flags in debian/rules due to changes in dpkg.
    - Build-depend on dpkg-dev (>= 1.16.1).

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sun, 23 Oct 2011 18:09:24 -0700

gnote (0.8.0-1) unstable; urgency=low

  * New upstream release, featuring GTK+ 3 port.
    - Add versioned build dependency on libglibmm-2.4-dev (>= 2.28).
    - Replace build dependency on libgtkmm-2.4-dev with libgtkmm-3.0-dev.
    - Remove build dependencies on the following packages:
      - libdbus-c++-dev
      - libgconf2-dev
      - libgtkspell-dev (GtkSpell has yet to be ported to GTK+ 3)
      - libpanelappletmm-2.6-dev (Closes: #638108)
        - This removes support for the gnome-panel applet. (Closes: #566670)
        - Support for gnome-panel will be re-enabled once
          libpanel-applet-4-dev migrates from experimental to unstable.
  * Re-format debian/copyright to fix lintian warnings.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sat, 24 Sep 2011 20:18:37 -0700

gnote (0.7.5-1) unstable; urgency=low

  * New upstream release.
  * Remove "Provides: tomboy" from debian/control. (Closes: #627347)
  * Update debian/rules to dh 7 "rules.tiny" style.
    - Drop cdbs from build dependencies.
  * Really update Standards version from 3.9.1 to 3.9.2, no updates required.
  * Update debhelper compatiblity level from 7 to 8.
  * Add Vcs-* fields to debian/control.
  * Update debian/copyright to fully conform with DEP-5.
  * Remove unneeded debian/fdl-1.2.txt; a copy of the GFDL can be found in
    /usr/share/common-licenses/GFDL-1.2.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sat, 30 Jul 2011 16:48:32 -0700

gnote (0.7.4-1) unstable; urgency=low

  * Adopt package; change maintainer field in debian/control to:
    Vincent Cheng <Vincentc1208@gmail.com>. (Closes: #594368)
  * New upstream release.
    - Drop dependency on libboost-filesystem-dev.
  * Update Standards version from 3.9.1 to 3.9.2, no updates required.
  * Edit debian/watch to fix DEHS error.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sat, 30 Apr 2011 19:29:01 -0700

gnote (0.7.3-1) unstable; urgency=low

  * QA upload.
  * Change maintainer field in debian/control to: Debian QA Group
    <packages@qa.debian.org>.
  * New upstream release.  (Closes: #602439, #580393)
    - Fixes bug in which disabled plugins are enabled after restarting Gnote.
      (Closes: #564603)
  * Drop debian/patches/01_deprecated_GTK.patch; patch applied upstream.
  * Update Standards version from 3.8.1 to 3.9.1, no changes required.
  * Update debhelper compatiblity level from 6 to 7.
  * Switch to 3.0 (quilt) source package format and original tar.bz2 tarballs.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sun, 13 Mar 2011 13:31:42 +0100

gnote (0.7.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/01_deprecated_GTK.patch:
    - Replace deprecated GTK macro with related function (Closes: #577297).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 08 May 2010 14:55:54 +0200

gnote (0.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Robert Millan <rmh.debian@aybabtu.com>  Mon, 04 Jan 2010 22:23:34 +0100

gnote (0.7.0-1) unstable; urgency=low

  * New upstream release.  (Closes: #558697)

 -- Robert Millan <rmh.debian@aybabtu.com>  Thu, 31 Dec 2009 21:11:04 +0100

gnote (0.6.2-2) unstable; urgency=low

  * Build-Depend on automake1.11 as first option.  (Closes: #541643)
  * Enable D-Bus support.

 -- Robert Millan <rmh.debian@aybabtu.com>  Fri, 14 Aug 2009 10:07:41 +0200

gnote (0.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Robert Millan <rmh.debian@aybabtu.com>  Wed, 12 Aug 2009 23:42:51 +0200

gnote (0.6.1-1) unstable; urgency=low

  * New upstream release.  (Closes: #539435)

 -- Robert Millan <rmh.debian@aybabtu.com>  Sat, 01 Aug 2009 00:44:59 +0200

gnote (0.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Robert Millan <rmh.debian@aybabtu.com>  Thu, 30 Jul 2009 15:40:45 +0200

gnote (0.5.3-1) unstable; urgency=low

  * New upstream release.
    - rules (get-orig-source): Use sha256sum to verify download.

 -- Robert Millan <rmh.debian@aybabtu.com>  Wed, 15 Jul 2009 13:04:42 +0200

gnote (0.5.2-1) unstable; urgency=low

  * New upstream release.
    - Fix corruption problem with non-ASCII chars.  (Closes: #534969)

 -- Robert Millan <rmh.debian@aybabtu.com>  Wed, 01 Jul 2009 21:34:45 +0200

gnote (0.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Robert Millan <rmh.debian@aybabtu.com>  Thu, 25 Jun 2009 14:31:41 +0200

gnote (0.5.0-1) experimental; urgency=low

  * New upstream release.
    - control (Build-Depends): Replace libxml++2.6-dev with libxml2-dev,
      and libboost-regex-dev with libpcre++-dev.
    - patches/01_boost_m4.diff: Remove.
    - patches/02_fix_date_conversion.diff: Remove.

 -- Robert Millan <rmh.debian@aybabtu.com>  Wed, 17 Jun 2009 15:20:29 +0200

gnote (0.4.0-3) unstable; urgency=high

  * patches/02_fix_date_conversion.diff: New patch (from upstream).  Fix
    segfault when g_time_val_to_iso8601() fails at converting datestamps
    from Tomboy.

 -- Robert Millan <rmh.debian@aybabtu.com>  Sun, 14 Jun 2009 17:26:21 +0200

gnote (0.4.0-2) unstable; urgency=low

  * Add -Wl,--as-needed to LDFLAGS.  (Closes: #529213)
    - rules
    - patches/01_boost_m4.diff: New patch (from upstream) to fix --as-needed.
  * control (Provides): Add tomboy.

 -- Robert Millan <rmh.debian@aybabtu.com>  Sun, 07 Jun 2009 19:48:06 +0200

gnote (0.4.0-1) unstable; urgency=low

  * New upstream release.
    - control (Build-Depends): Add libxslt1-dev.
  * rules: Include tarball.mk first to prevent cdbs from building
    config.status twice.
  * control (Build-Depends): Require libxml++2.6-dev (>= 2.26).  According to
    upstream, earlier versions are too buggy for Gnote to work reliably.

 -- Robert Millan <rmh.debian@aybabtu.com>  Fri, 29 May 2009 19:13:04 +0200

gnote (0.3.1-7) unstable; urgency=low

  * Fix a pair of problems in German translation (patches from upstream):
    - patches/03_fix_german_1.diff  (Closes: #528930)
    - patches/04_fix_german_2.diff  (Closes: #528931)

 -- Robert Millan <rmh.debian@aybabtu.com>  Mon, 18 May 2009 09:06:18 +0200

gnote (0.3.1-6) unstable; urgency=low

  * copyright: Document GFDL in help/*.
  * copyright: List libtomboy/eggaccelerators.[ch].

 -- Robert Millan <rmh.debian@aybabtu.com>  Mon, 11 May 2009 09:33:37 +0200

gnote (0.3.1-5) unstable; urgency=low

  * Misc debian/copyright improvements.

 -- Robert Millan <rmh.debian@aybabtu.com>  Sun, 10 May 2009 21:09:26 +0200

gnote (0.3.1-4) unstable; urgency=low

  * Add missing reference to GPL/LGPL license text.

 -- Robert Millan <rmh.debian@aybabtu.com>  Sun, 10 May 2009 20:04:55 +0200

gnote (0.3.1-3) unstable; urgency=low

  * Rewrite debian/copyright by (loosely) following DEP-5 proposal.

 -- Robert Millan <rmh.debian@aybabtu.com>  Sun, 10 May 2009 18:51:56 +0200

gnote (0.3.1-2) unstable; urgency=low

  * Use © symbol for copyright lines.
  * Support debhelper 6.
  * patches/01_applet_in_libexec.diff: Move applet to /usr/lib/gnote.
  * patches/02_assume_utf8.diff: Assume UTF-8 encoding (fixes lintian warning).

 -- Robert Millan <rmh.debian@aybabtu.com>  Wed, 06 May 2009 20:11:35 +0200

gnote (0.3.1-1) unstable; urgency=low

  * New upstream release.
    - Remove 10-gnote_applet_fix.patch (merged).

  [ Savvas Radevic ]
  * Remove *.la files during build.

  [ Robert Millan ]
  * rules: Include /usr/share/cdbs/1/class/gnome.mk for gconf setup.
  * control (Build-Depends): Add libgtkspell-dev to enable spell checker.

 -- Robert Millan <rmh.debian@aybabtu.com>  Wed, 06 May 2009 02:56:37 +0200

gnote (0.3.0-1) unstable; urgency=low

  * New upstream release.
    - Includes panel applet.
    - Adds a few add-ons.
    - patches/02_manpage_syntax.diff: Remove (merged).
    - Buildable on Lenny (gtk+ 2.12).  Add xdg-utils as alternate dependency
      when libgtk2.0-0 (>= 2.14) is not present.

  [ Savvas Radevic ]
  * Add debian/watch file.
  * control (Standards-Version): Bump to 3.8.1.
  * Added 10-gnote_applet_fix.patch (fixes applet icon to "gnote").

  [ Robert Millan ]
  * rules: Add get-orig-source rule.

 -- Robert Millan <rmh.debian@aybabtu.com>  Tue, 05 May 2009 02:25:19 +0200

gnote (0.2.0-2) unstable; urgency=low

  * 01_fhs.diff: Remove.  Instead pass --with-gconf-schema-file-dir=\
    /usr/share/gconf/schemas to configure.

 -- Robert Millan <rmh.debian@aybabtu.com>  Sun, 26 Apr 2009 02:23:55 +0200

gnote (0.2.0-1) unstable; urgency=low

  * New upstream release.
    - rules: Avoid hardcoding version number.
    - patches/01_fhs.diff: Resync.

  * copyright: Minor clarification.
  * patches/02_manpage_syntax.diff: Fix syntax error in gnote.1.

 -- Robert Millan <rmh.debian@aybabtu.com>  Sat, 25 Apr 2009 14:04:54 +0200

gnote (0.1.1-1) unstable; urgency=low

  * Initial release. (Closes: #523093)

 -- Robert Millan <rmh.debian@aybabtu.com>  Fri, 10 Apr 2009 22:27:00 +0200
